﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace ConfirmDeleteDataForm.Model
{
    public class Person
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Age { get; set; }
        public DateTime HireDate { get; set; }
        public bool FullTime { get; set; }

        public static List<Person> GetPeople()
        {
            List<Person> peeps = new List<Person>();
            for (int i = 0; i < 10; i++)
            {
                Person p = new Person() { FirstName = "First" + i.ToString(), LastName = "Last" + i.ToString(), Age = i, FullTime = false };
                p.HireDate = DateTime.Now.AddYears(-i);
                if (i % 2 == 0)
                {
                    p.FullTime = true;
                }
                peeps.Add(p);
            }
            return peeps;
        }
    }
}
